from ultralytics import YOLO
import torch



if __name__ == '__main__':


    
    '''
        加载在HelmetHead中训练的模型, 在HelmetShowHead数据集上继续训练
    '''

    
    model = YOLO('/home/admin-root/haotian/康达瑞贝斯机器狗/YoloV8Obj/models/yolov8n.pt')
    
    results = model.train(data='/home/admin-root/haotian/康达瑞贝斯机器狗/YoloV8Obj/dataset_20250819.yaml', epochs=200, batch=32, patience=20, imgsz=640, save=True,
                          workers=2, device=0, project='dataset_20250819', name='train', verbose=True)

# print(model)